Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.transformer
Class QueuedEvents

    java.lang.Object
      |
      +--weblogic.apache.xalan.transformer.QueuedEvents

Direct Known Subclasses:
  ResultTreeHandler

public abstract class QueuedEvents
extends java.lang.Object

This class acts as a base for ResultTreeHandler, and keeps queud stack events. In truth, we don't need a stack, so I may change this down the line a bit.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Field Summary
`protected MutableAttrListImpl` | `m_attributes` The pending attributes.
`protected boolean` | `m_docEnded`
`boolean` | `m_docPending` Queued start element
`boolean` | `m_elemIsEnded` Flag indicating that an event is ended
`boolean` | `m_elemIsPending` Flag indicating that an event is pending.
`protected int` | `m_eventCount` The number of events queued
`protected java.lang.String` | `m_localName` Local part of qualified name of the element
`protected java.lang.String` | `m_name` The pending element, namespace, and local name.
`protected java.util.Vector` | `m_namespaces` Vector of namespaces for this element
`protected boolean` | `m_nsDeclsHaveBeenAdded` Flag to try and get the xmlns decls to the attribute list before other attributes are added.
`protected java.lang.String` | `m_url` Namespace URL of the element

Constructor Summary
`QueuedEvents()`

Method Summary
`protected void` | `reInitEvents()` To re-initialize the document and element events
`void` | `reset()` Push document event and re-initialize events

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_eventCount

    protected int m_eventCount

  The number of events queued

### m_docPending

    public boolean m_docPending

  Queued start element

### m_docEnded

    protected boolean m_docEnded

### m_elemIsPending

    public boolean m_elemIsPending

  Flag indicating that an event is pending. Public for fast access by ElemForEach.

### m_elemIsEnded

    public boolean m_elemIsEnded

  Flag indicating that an event is ended

### m_attributes

    protected MutableAttrListImpl m_attributes

  The pending attributes. We have to delay the call to m_flistener.startElement(name, atts) because of the xsl:attribute and xsl:copy calls. In other words, the attributes have to be fully collected before you can call startElement.

### m_nsDeclsHaveBeenAdded

    protected boolean m_nsDeclsHaveBeenAdded

  Flag to try and get the xmlns decls to the attribute list before other attributes are added.

### m_name

    protected java.lang.String m_name

  The pending element, namespace, and local name.

### m_url

    protected java.lang.String m_url

  Namespace URL of the element

### m_localName

    protected java.lang.String m_localName

  Local part of qualified name of the element

### m_namespaces

    protected java.util.Vector m_namespaces

  Vector of namespaces for this element

Constructor Detail

### QueuedEvents

    public QueuedEvents()

Method Detail

### reInitEvents

    protected void reInitEvents()

  To re-initialize the document and element events

### reset

    public void reset()

  Push document event and re-initialize events

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference